'use strict';

chrome.webRequest.onBeforeRequest.addListener(d => {
  const cancel = d.url.indexOf('watch_autoplayrenderer.js') !== -1 || d.url.indexOf('endscreen.js') !== -1;
  return {cancel};
},
  {urls: [
    '*://*.ytimg.com/yts/jsbin/*',
    '*://*.youtube.com/yts/jsbin/*'
  ]},
  ['blocking']
);

// FAQs & Feedback
chrome.storage.local.get({
  'version': null,
  'faqs': navigator.userAgent.indexOf('Firefox') === -1
}, prefs => {
  const version = chrome.runtime.getManifest().version;

  if (prefs.version ? (prefs.faqs && prefs.version !== version) : true) {
    chrome.storage.local.set({version}, () => {
      chrome.tabs.create({
        url: 'http://add0n.com/stop-autoplay.html?version=' + version +
          '&type=' + (prefs.version ? ('upgrade&p=' + prefs.version) : 'install')
      });
    });
  }
});
{
  const {name, version} = chrome.runtime.getManifest();
  chrome.runtime.setUninstallURL('http://add0n.com/feedback.html?name=' + name + '&version=' + version);
}
